MSK4ZoneInternal::State Struct Reference

Internal: the state of a MSK4Zone. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

bool | m_mainOle
| true if we parse the main MN0 More...
int | m_numColumns
| the number of column More...
bool | m_hasColumnSep
| true if a line is added to separated the column More...
bool | m_parsed
| a flag to known if the ole is already parsed More...
int | m_actPage
| the actual page More...
int | m_numPages
MWAWFont | m_defFont
| the default font More...
std::vector< Frame > | m_framesList
| the list of frames More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MSK4Zone.

## Constructor & Destructor Documentation

MSK4ZoneInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MSK4ZoneInternal::State::m_actPage

the actual page

MWAWFont MSK4ZoneInternal::State::m_defFont

the default font

int MSK4ZoneInternal::State::m_footerHeight

the footer height if known

std::vector<Frame> MSK4ZoneInternal::State::m_framesList

the list of frames

bool MSK4ZoneInternal::State::m_hasColumnSep

true if a line is added to separated the column

int MSK4ZoneInternal::State::m_headerHeight

the header height if known

bool MSK4ZoneInternal::State::m_mainOle

true if we parse the main MN0

int MSK4ZoneInternal::State::m_numColumns

the number of column

int MSK4ZoneInternal::State::m_numPages

bool MSK4ZoneInternal::State::m_parsed

a flag to known if the ole is already parsed

The documentation for this struct was generated from the following file:

- MSK4Zone.cxx